local L = LibStub("AceLocale-3.0"):NewLocale("Crafts", "enUS", true)

if L then
	-- Error messages
	L.tradeskillanalysefailed = "Could not analyse tradeskill. Please open it again."
	L.reagentanalysefailed = "Could not analyse all reagents. Please close and open the %s window until you see a confirmation message."
	L.cannotlaunchsyncnow = "Cannot launch sync so close to last sync."
	L.remainingtime = "Remaining time (s): "
	L.skilltoolow = "Your level in %s is not high enough to be eligible for synchronization (< %s). Only some of your skills may be shared."
	L.enablinglimitedmode = "You are running Crafts in a different locale than the one during its initial launch. Crafts updates and synchronization will be disabled."
	L.nosyncinlimitedmode = "Synchronization is disabled in limited mode."
	L.changingtosamelocale = "The current locale is the same as the one used with Crafts. What are you trying to do? ;-)"
	
	-- Information messages
	L.forcingsyncnow = "Forcing synchronization now."
	L.craftignored = "%s is ignored by Crafts and will not be synchronized."
	L.alreadysyncing = "A synchronization is already running."
	L.syncing = "Syncing"
	L.syncdisabled = "Sync disabled"
	L.nodebugmode = "Debug mode cannot be set in limited mode."
	
	-- AddOn interface
	L.craftname = "Craft name"
	L.players = "Players"
	L.listofcrafters = "List of crafters"
	L.connected = "Connected"
	L.offline = "Offline"
	L.limited = "Limited"
	L.help = "Help"
	
	-- AddOn menu
	L.show = "Show"
	L.show_desc = "Shows the main window."
	L.timeleft = "Time left"
	L.timeleft_desc = "Shows the remaining time before the next synchronization launch."
	L.forcesync = "Force synchronization"
	L.forcesync_desc = "Forces a synchronization immediately."
	L.changelanguage = "Change main language"
	L.changelanguage_desc = "Changes the main language in which Crafts runs to the current one. See help for more information."
	L.changelanguage_canceled = "Language change canceled. See help ('%s') for more information."
	L.debug = "Debug mode"
	L.debug_desc = "Enables or disables debug mode for testing purposes."
	L.debug_on = "Debug mode enabled."
	L.debug_off = "Debug mode disabled."
	L.debug_warn = "Warning: debug mode is VERY SPAMMY, please use it with care."
	L.minimap = "Minimap icon"
	L.minimap_desc = "Diplays or hides the minimap icon."
	L.help = "Help"
	L.help_desc = "Displays the help window."
	L.tooltip = "Tooltip"
	L.tooltip_desc = "Choose where the tooltip should be displayed when hovering a craft."
	L.tooltip_pos_bottomleft = "Bottom left"
	L.tooltip_pos_topleft = "Top left"
	L.tooltip_pos_topright = "Top right"
	L.version = "Version"
	L.version_desc = "Displays the version of Crafts your are currently running."
	
	-- AddOn minimap
	L.nextsync = "Next sync in (s): "
	L.rightclickforhelp = "Right-click to display help."
	
	-- Help
	L.welcome = "Welcome to Crafts"
	L.purpose = "The purpose of this AddOn is to offer to its users an easy way to know the crafts that the members of the guild can do. It is aimed to answer to at least these questions:"
	L.q1 = "Who can make this item?"
	L.q2 = "What are the needed reagents for this craft?"
	L.q3 = "Is an offline player able to make the item I want?"
	L.syncpreview = "When using Crafts, you auto-magically share all your professions to other players running the AddOn, and they do as well. You can then easily search within all this data and find your needs in a few seconds."
	L.howtoshare = "How do I share my professions?"
	L.howtoshare_desc = "The AddOn must first gather your data before being able to send them to other players. To do this, simply open your different tradeskill windows and make sure your crafts appear in the main window (see below). Starting from this point, everything is magic: your professions will be synchronized with your guild mates automatically."
	L.howtosearch = "How do I search into the synchronized crafts?"
	L.howtosearch_desc = "Simply open the main window of Crafts by clicking on the icon near the minimap or typing '%s'. You can then use the search field on the top left of the window to search for a particular item or enchant."
	L.whensyncis = "When are professions synchronized?"
	L.whensyncis_desc = "Your data will be synchronized once every hour. Even if this amount of time seems huge, it has been chosen in order to avoid too much spam on the AddOn channels. Don't forget a lot of other AddOns need to send data as well. You will however permanently receive synchronization data from other players, and thus your AddOn will be up-to-date very quickly."
	L.whennextsyncis = "When will the next synchronization happen?"
	L.whennextsyncis_desc = "To get the amount of time until the next synchronization, simply hover your mouse over the minimap icon of the AddOn, or type '%s' into the chat window."
	L.removeminimapicon = "I want to remove that minimap icon!"
	L.removeminimapicon_desc = "Just type '%s' once. Your preference will be saved."
	L.notallsynced = "All of my crafts aren't synchronized?!"
	L.notallsynced_desc = "In order to avoid too long and huge synchronizations, only most wanted crafts are synced. Some of the most wanted crafts are manually chosen in the '%s' file by the community and are forced to synchronize; YOU may want to modify this file to add a craft. Feel free to do so, but please follow the recommendations at the top of the list."
	L.whatislimitedmode = "What is limited mode?"
	L.whatislimitedmode_desc = "In order to avoid conflicts between different locales of the game, Crafts automatically enables limited mode if you use it in an other locale than the one used during its first launch. Limited mode lets you search crafts in your own list, but disables tradeskills updates and synchronization. If you wish to renable the normal mode, simply switch to the locale you were using the first time you ran Crafts."
	L.howtochangemainlanguage = "How can I change the main language used by Crafts?"
	L.howtochangemainlanguage_desc = "If you wish to change the main language in which Crafts is running, simply type '%s'. This option will use the <b>current</b> locale as the new language. Please be warned that <b>your synchronized crafts will be reset</b>, and <b>the interface will also be reloaded</b> in order to make the new locale active."
	L.stillhavequestion = "Still have a question?"
	L.stillhavequestion_desc = "Don't hesitate to post your comments on your favorite AddOn website, there will be someone for you there ;-)"
	L.donations = "Donations"
	L.donations_desc = "If you really like this AddOn and you want to thank its author for his great work, check the '%s' file in the AddOn folder."
	
	-- Popups
	L.popup_changelanguage = "In order to change the main language of Crafts, your synchronized crafts will be reset and the interface will be reloaded. Are you sure you want to do that?"
	L.popup_changelanguage_yes = "Yes, definitely"
	L.popup_changelanguage_no = "Not at all!"
end
